Restores the previous error handler function

- « get_exception_handler

- restore_exception_handler »

- PHP Manual
- Error Handling Functions
- Restores the previous error handler function

# restore_error_handler

(PHP 4 >= 4.0.1, PHP 5, PHP 7, PHP 8)

restore_error_handler — Restores the previous error handler function

### Description

restore_error_handler(): true

Used after changing the error handler function using set_error_handler(), to revert to the previous error handler (which could be the built-in or a user defined function).

### Parameters

This function has no parameters.

### Return Values

Always returns `true`.

### Examples

Example #1 restore_error_handler() example

Decide if unserialize() caused an error, then restore the original error handler.

    <?php
    function unserialize_handler($errno, $errstr)
    {
        echo "Invalid serialized value.\n";
    }

    $serialized = 'foo';
    set_error_handler('unserialize_handler');
    $original = unserialize($serialized);
    restore_error_handler();
    ?>

The above example will output:

    Invalid serialized value.

### See Also

- error_reporting() - Sets which PHP errors are reported
- set_error_handler() - Sets a user-defined error handler function
- get_error_handler() - Gets the user-defined error handler function
- restore_exception_handler() - Restores the previously defined exception handler function
- trigger_error() - Generates a user-level error/warning/notice message